---
title: Overview
page_title: DropDownList Overview - Components - Kendo UI for Vue
description: "Get an overview of the features the Kendo UI DropDownList wrapper for Vue delivers and use the component in Vue projects."
slug: overview_dropdownlist
position: 1
---

# DropDownList Overview

The DropDownList provides a list of predefined options and allows for a single item selection from that list.

The DropDownList wrapper for Vue is a client-side wrapper for the [Kendo UI DropDownList](https://docs.telerik.com/kendo-ui/api/javascript/ui/dropdownlist) widget.

<div data-component="StartFreeTrialSection"></div>

## Basic Usage

The following example demonstrates the DropDownList in action.

{% meta height:350 %}
{% embed_file dropdownlist/basic/main.vue preview %}
{% embed_file dropdownlist/basic/main.js %}
{% endmeta %}

## Functionality and Features

* [Data binding]({% slug databinding_dropdownlist %})
* [Filtering]({% slug filtering_dropdownlist %})
* [Virtualization]({% slug virtualization_dropdownlist %})
* [Grouping]({% slug grouping_dropdownlist %})
* [Cascading DropDownLists]({% slug cascading_dropdownlist %})
* [Templates]({% slug templates_dropdownlist %})
* [Keyboard navigation]({% slug keyboard_navigation_dropdownlist %})
* [RTL support]({% slug rtl_support_dropdownlist %})

## Events

The following example demonstrates basic DropDownList events. You can subscribe to [all DropDownList events](https://docs.telerik.com/kendo-ui/api/javascript/ui/dropdownlist#events) by the handler name.

{% meta height:350 %}
{% embed_file dropdownlist/events/main.vue preview %}
{% embed_file dropdownlist/events/main.js %}
{% endmeta %}

## Suggested Links

* [Kendo UI DropDownList for jQuery](https://docs.telerik.com/kendo-ui/controls/editors/dropdownlist/overview)
* [API Reference of the DropDownList Widget](https://docs.telerik.com/kendo-ui/api/javascript/ui/dropdownlist)
