---
title: Keyboard Navigation
page_title: Keyboard Navigation - DropDownList - Kendo UI for Vue
description: "Explore the keyboard navigation options provided by the Kendo UI DropDownList wrapper for Vue."
slug: keyboard_navigation_dropdownlist
position: 9
---

# Keyboard Navigation

The keyboard support of the DropDownList is always available.

To apply the keyboard shortcuts, focus the DropDownList by clicking the example area and pressing the `Tab` key.

The DropDownList, its button, and drop-down elements support the following keyboard shortcuts:

| SHORTCUT    | DESCRIPTION |
|:---         |:--- |
| `Up Arrow`  | Highlights the previous item.|
| `Left Arrow`| Highlights the previous item.|
| `Down Arrow`| Highlights the next item.|
| `Right Arrow` | Highlights the next item.|
| `Home`        | Selects the first item in the list.|
| `End`         | Selects the last item in the list.|
| `Page Up`     | Scrolls the popup up.|
| `Page Down`   | Scrolls the popup down.|
| `Enter`       | Selects the highlighted item.|
| `Esc`         | Closes the popup.|
| `Space`       | <ul><li>Opens the popup.</li> <li>Selects the highlighted item.</li></ul> |
| `Alt`+`Down Arrow`| Opens the popup.|
| `Alt`+`Up Arrow`  | Closes the popup.|

{% meta height:350 %}
{% embed_file dropdownlist/keyboard/main.vue preview %}
{% embed_file dropdownlist/keyboard/main.js %}
{% endmeta %}

## Suggested Links

* [Kendo UI DropDownList for jQuery](https://docs.telerik.com/kendo-ui/controls/editors/dropdownlist/overview)
* [API Reference of the DropDownList Widget](https://docs.telerik.com/kendo-ui/api/javascript/ui/dropdownlist)
